Skip to content

Request Loan Unlock​

PUT
/v1/loans/unlock

Removes a loan offer or reduces its amount by the specified unlockAmount. Loan offer unlocking may take at least one hour, depending on current fund usage and availability to replace the requested offer.

Authorizations​

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body​

application/json
JSON
{
"currencySymbol": "USDC",
"unlockAmount": "50",
"loanId": "1289055810346737664"
}

Responses​

Loan unlock requested successfully

Playground​

Authorization
Body

Samples​